> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rikunabi/jobs/search

> Search Rikunabi NEXT jobs by keyword and filters

**Price:** 20 credits per 100 results



## OpenAPI

````yaml /openapi/jobs.json post /api/rikunabi/jobs/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rikunabi/jobs/search:
    post:
      tags:
        - /rikunabi
      summary: /rikunabi/jobs/search
      description: |-
        Search Rikunabi NEXT jobs by keyword and filters

        **Price:** 20 credits per 100 results
      operationId: __api_rikunabi_jobs_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RikunabiJobsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RikunabiJobCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RikunabiJobsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        count:
          type: integer
          minimum: 1
        location:
          anyOf:
            - $ref: '#/components/schemas/RikunabiLocation'
            - type: 'null'
        job_category:
          anyOf:
            - $ref: '#/components/schemas/RikunabiJobCategory'
            - type: 'null'
        annual_salary:
          anyOf:
            - $ref: '#/components/schemas/RikunabiAnnualSalary'
            - type: 'null'
        employment_type:
          anyOf:
            - $ref: '#/components/schemas/RikunabiEmploymentType'
            - type: 'null'
        preference:
          anyOf:
            - items:
                $ref: '#/components/schemas/RikunabiPreference'
              type: array
            - type: 'null'
        sort:
          $ref: '#/components/schemas/RikunabiSort'
          default: relevance
        new_only:
          type: boolean
          default: false
      type: object
      required:
        - count
    RikunabiJobCard:
      properties:
        '@type':
          type: string
          default: RikunabiJobCard
        id:
          type: string
        url:
          type: string
        title_pr:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        company_id:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
            - type: 'null'
        lon:
          anyOf:
            - type: number
            - type: 'null'
        employment_types:
          items:
            type: string
          type: array
          default: []
        salary_text:
          anyOf:
            - type: string
            - type: 'null'
        salary:
          anyOf:
            - $ref: '#/components/schemas/RikunabiCardSalary'
            - type: 'null'
        qualification:
          anyOf:
            - type: string
            - type: 'null'
        preference_tags:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_new_arrival:
          anyOf:
            - type: boolean
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - url
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RikunabiLocation:
      type: string
      enum:
        - area-hokkaido
        - area-aomori
        - area-iwate
        - area-miyagi
        - area-akita
        - area-yamagata
        - area-fukushima
        - area-tokyo
        - area-kanagawa
        - area-saitama
        - area-chiba
        - area-ibaraki
        - area-tochigi
        - area-gunma
        - area-niigata
        - area-toyama
        - area-ishikawa
        - area-fukui
        - area-yamanashi
        - area-nagano
        - area-aichi
        - area-shizuoka
        - area-gifu
        - area-mie
        - area-osaka
        - area-kyoto
        - area-hyogo
        - area-nara
        - area-shiga
        - area-wakayama
        - area-tottori
        - area-shimane
        - area-okayama
        - area-hiroshima
        - area-yamaguchi
        - area-tokushima
        - area-kagawa
        - area-ehime
        - area-kochi
        - area-fukuoka
        - area-saga
        - area-nagasaki
        - area-kumamoto
        - area-oita
        - area-miyazaki
        - area-kagoshima
        - area-okinawa
    RikunabiJobCategory:
      type: string
      enum:
        - oc-selling
        - oc-promotion
        - oc-corporatestaff
        - oc-scm
        - oc-administration
        - oc-retail
        - oc-hospitality
        - oc-foodservice
        - oc-consulting
        - oc-technology
        - oc-design
        - oc-building
        - oc-realestate
        - oc-electronic
        - oc-chemicals
        - oc-consumergoods
        - oc-pharmaceuticals
        - oc-medicaldevices
        - oc-medical
        - oc-financial
        - oc-culinary
        - oc-broadcasting
        - oc-infrastructure
        - oc-transportation
        - oc-recruitment
        - oc-instruction
        - oc-executive
        - oc-analysis
        - oc-publicsector
    RikunabiAnnualSalary:
      type: string
      enum:
        - sal-over200
        - sal-over300
        - sal-over400
        - sal-over500
        - sal-over600
        - sal-over700
        - sal-over800
        - sal-over900
        - sal-over1000
    RikunabiEmploymentType:
      type: string
      enum:
        - emp-permanent
        - emp-temporary
        - emp-contractor
        - emp-contract
    RikunabiPreference:
      type: string
      enum:
        - prf-001
        - prf-002
        - prf-003
        - prf-004
        - prf-005
        - prf-006
        - prf-007
        - prf-008
        - prf-009
        - prf-010
        - prf-011
        - prf-012
        - prf-013
        - prf-014
        - prf-015
        - prf-017
        - prf-018
        - prf-019
        - prf-020
        - prf-021
        - prf-022
        - prf-023
        - prf-024
        - prf-025
        - prf-026
        - prf-027
        - prf-028
        - prf-029
        - prf-030
        - prf-031
        - prf-032
        - prf-033
        - prf-034
        - prf-035
        - prf-036
        - prf-037
        - prf-038
        - prf-039
        - prf-040
        - prf-041
        - prf-042
        - prf-043
        - prf-044
        - prf-045
        - prf-046
        - prf-047
        - prf-048
        - prf-049
        - prf-050
        - prf-051
        - prf-052
        - prf-053
        - prf-054
        - prf-055
        - prf-056
        - prf-057
        - prf-058
        - prf-059
        - prf-060
        - prf-061
        - prf-062
        - prf-063
        - prf-064
        - prf-065
    RikunabiSort:
      type: string
      enum:
        - relevance
        - newest
    RikunabiCardSalary:
      properties:
        '@type':
          type: string
          default: RikunabiCardSalary
        min:
          anyOf:
            - type: integer
            - type: 'null'
        max:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````